[prev in list] [next in list] [prev in thread] [next in thread] 

List:       ceph-commit
Subject:    [ceph-commit] branch master updated. v9.0.0-1120-g17855b4
From:       ceph-commit () ceph ! com (ceph ! git)
Date:       2015-05-30 9:49:05
Message-ID: 20150530094905.7BB553F765 () ds3426 ! dreamservers ! com
[Download RAW message or body]

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "".

The branch, master has been updated
       via  17855b4288260d3b00d01e5e310f1a37ab1a1add (commit)
       via  8199e0064bdc2f2cb0fdd59547f796391445093d (commit)
       via  bbf75f811cdc701cb6920edb1dde68b9534d36cf (commit)
       via  cbc96a08d0dae4ad748c222a265a80bccb49ed24 (commit)
      from  013f9af82c201646bd228467d436d81a905700c0 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 17855b4288260d3b00d01e5e310f1a37ab1a1add
Merge: 013f9af 8199e00
Author: Kefu Chai <tchaikov at gmail.com>
Date:   Sat May 30 17:47:36 2015 +0800

    Merge pull request #4799 from dachary/wip-install-deps
    
    install-deps.sh: robust pip and wheel installation
    
    Reviewed-by: Kefu Chai <kchai at redhat.com>

commit 8199e0064bdc2f2cb0fdd59547f796391445093d
Author: Loic Dachary <ldachary at redhat.com>
Date:   Sat May 30 10:53:51 2015 +0200

    install-deps.sh: do not store pip cache outside of the tree
    
    Signed-off-by: Loic Dachary <ldachary at redhat.org>

commit bbf75f811cdc701cb6920edb1dde68b9534d36cf
Author: Loic Dachary <ldachary at redhat.com>
Date:   Fri May 29 23:55:01 2015 +0200

    install-deps.sh: keep debian alternatives
    
    Instead of removing the | when an alternative is found in the control
    file such as
    
         cryptsetup-bin | cryptsetup
    
    remove the surrounding spaces so that it is treated as a regular
    expression that matches either one.
    
    Replace the form
    
        sudo bash -c "FOO=bar ..."
    
    with
    
        sudo env FOO=bar ...
    
    to reduce the levels of shell escaping.
    
    Reported-by: http://dyweni.com/
    Signed-off-by: Loic Dachary <ldachary at redhat.com>

commit cbc96a08d0dae4ad748c222a265a80bccb49ed24
Author: Loic Dachary <ldachary at redhat.com>
Date:   Fri May 29 01:34:45 2015 +0200

    install-deps.sh: robust pip and wheel installation
    
    The wheel and pip module must not only be installed in each wheelhouse
    directory for tox to find. They must also be installed in the virtual
    environment that populates the wheelhouse directory. Otherwise older pip
    modules such as the one found by default on Ubuntu 12.04 will fail.
    
    Python 2.7.3 on Ubuntu 12.04 also requires that distribute >= 0.7.3 is
    installed although it is redundant with setuptools, otherwise it will
    fail to run the wheel module.
    
    Signed-off-by: Loic Dachary <ldachary at redhat.com>

-----------------------------------------------------------------------

Summary of changes:
 install-deps.sh |   29 ++++++++++++++++++++++-------
 1 files changed, 22 insertions(+), 7 deletions(-)

diff --git a/install-deps.sh b/install-deps.sh
index 00de548..4df059a 100755
--- a/install-deps.sh
+++ b/install-deps.sh
@@ -42,7 +42,7 @@ Ubuntu|Debian|Devuan)
         packages=$(dpkg-checkbuilddeps --admindir=$DIR debian/control 2>&1 | \
             perl -p -e 's/.*Unmet build dependencies: *//;' \
             -e 's/build-essential:native/build-essential/;' \
-            -e 's/\|//g;' \
+            -e 's/\s*\|\s*/\|/g;' \
             -e 's/\(.*?\)//g;' \
             -e 's/ +/\n/g;' | sort)
         case $(lsb_release -sc) in
@@ -52,7 +52,7 @@ Ubuntu|Debian|Devuan)
                 ;;
         esac
         packages=$(echo $packages) # change newlines into spaces
-        $SUDO bash -c "DEBIAN_FRONTEND=noninteractive apt-get install $backports -y $packages" || exit 1
+        $SUDO env DEBIAN_FRONTEND=noninteractive apt-get install $backports -y $packages || exit 1
         ;;
 CentOS|Fedora|RedHatEnterpriseServer)
         case $(lsb_release -si) in
@@ -84,6 +84,23 @@ CentOS|Fedora|RedHatEnterpriseServer)
         ;;
 esac
 
+function get_pip_and_wheel() {
+    local install=$1
+
+    # Ubuntu-12.04 and Python 2.7.3 require this line
+    pip --timeout 300 $install 'distribute >= 0.7.3' || return 1
+    # although pip comes with virtualenv, having a recent version
+    # of pip matters when it comes to using wheel packages
+    pip --timeout 300 $install 'setuptools >= 0.8' 'pip >= 7.0' 'wheel >= 0.24' || return 1
+}
+
+# use pip cache if possible but do not store it outside of the source
+# tree
+# see https://pip.pypa.io/en/stable/reference/pip_install.html#caching
+mkdir -p install-deps-cache
+top_srcdir=$(pwd)
+export XDG_CACHE_HOME=$top_srcdir/install-deps-cache
+
 #
 # preload python modules so that tox can run without network access
 #
@@ -92,12 +109,11 @@ for interpreter in python2.7 python3 ; do
     if ! test -d install-deps-$interpreter ; then
         virtualenv --python $interpreter install-deps-$interpreter
         . install-deps-$interpreter/bin/activate
-        pip --timeout 300 install wheel || exit 1
+        get_pip_and_wheel install || exit 1
     fi
 done
 
 find . -name tox.ini | while read ini ; do
-    top_srcdir=$(pwd)
     (
         cd $(dirname $ini)
         require=$(ls *requirements.txt 2>/dev/null | sed -e 's/^/-r /')
@@ -105,9 +121,8 @@ find . -name tox.ini | while read ini ; do
             for interpreter in python2.7 python3 ; do
                 type $interpreter > /dev/null 2>&1 || continue
                 . $top_srcdir/install-deps-$interpreter/bin/activate
-                # although pip comes with virtualenv, having a recent version
-                # of pip matters when it comes to using wheel packages
-                pip --timeout 300 wheel $require 'setuptools >= 0.7' 'pip >= 6.1' || exit 1
+                get_pip_and_wheel wheel || exit 1
+                pip --timeout 300 wheel $require || exit 1
             done
         fi
     )


hooks/post-receive
-- 


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic